###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gulm
Version: 1.0.8
Release: 0.XOS.1
License: GPL
Group: System Environment/Daemons
Summary: gulm - One possible lock manager for GFS
BuildRequires: ccs-devel
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires: ccs
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
ExclusiveArch: %{ix86} ia64 x86_64
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
gulm - One possible lock manager for GFS

%package devel
Group: Development/Libraries
Summary: gulm libraries
Requires: gulm = %{version}-%{release}

%description devel
This package contains gulm libraries.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --libdir=%{_libdir} --incdir=%{_includedir} --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 1/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 0.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

# do not enable init script by default
perl -pi -e 's/# chkconfig: \d+ /# chkconfig: - /' \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lock_gulmd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del lock_gulmd
fi

%files
%defattr(-,root,root,-)
/sbin/gulm_tool
/sbin/lock_gulmd
%{_mandir}/man5/lock_gulmd.5.gz
%{_mandir}/man8/gulm_tool.8.gz
%{_mandir}/man8/lock_gulmd.8.gz
/usr/%{_lib}/libgulm.so*
%config /etc/rc.d/init.d/lock_gulmd
%doc COPYING

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgulm.h
%{_libdir}/libgulm.a


%changelog
* Fri Oct 20 2006 X/OS Linux Team <xoslinux@xos.nl> 1.0.8-0.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on gulm-1.0.8-0.src.rpm
  (md5sum of original source rpm: 05579524d587e1beaaa6c45fc4050990).
- Allow building for all ix86 architectures i.s.o. for i686 only.
- Do not enable init script by default.

* Sun May 08 2005 Florian La Roche <laroche@redhat.com>
- mv /etc/init.d -> /etc/rc.d/init.d
- fix requires:

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- fixed various problems with .spec file

* Thu May 05 2005 Bill Nottingham <notting@redhat.com>
- fix chkconfig line

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild for with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild for with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com> 
- various bug fixes (new upstream sources)

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com> 
- add requires field

* Sat Aug 14 2004 Jon Brassow <jbrassow@redhat.com> 
- various bug fixes (new upstream sources)

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
